io.vertx.ext.web.api.validation

## Class ValidationException.ValidationExceptionFactory

- java.lang.Object
- - io.vertx.ext.web.api.validation.ValidationException.ValidationExceptionFactory

- Enclosing class:
    ValidationException

      public static class ValidationException.ValidationExceptionFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationExceptionFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationException` | `generateDeserializationError(String message)`
    `static ValidationException` | `generateEmptyValueValidationException(String parameterName, ParameterValidationRule rule, ParameterLocation location)`
    `static ValidationException` | `generateFileNotFoundValidationException(String filename, String contentType)`
    `static ValidationException` | `generateInvalidJsonBodyException(String jsonPath, String value, String message)`
    `static ValidationException` | `generateInvalidXMLBodyException(String message)`
    `static ValidationException` | `generateNotFoundValidationException(String parameterName, ParameterLocation location)`
    `static ValidationException` | `generateNotMatchValidationException(String message)`
    `static ValidationException` | `generateNotMatchValidationException(String parameterName, String value, ParameterValidationRule validationRule)`
    `static ValidationException` | `generateNotParsableJsonBodyException(String message)`
    `static ValidationException` | `generateObjectFieldNotFound(String fieldName)`
    `static ValidationException` | `generateUnexpectedArraySizeValidationException(Integer maxItems, Integer minItems, Integer actualSize)`
    `static ValidationException` | `generateUnexpectedArrayValidationException(String parameterName, ParameterValidationRule validationRule)`
    `static ValidationException` | `generateUnexpectedSingleStringValidationException(String parameterName, ParameterValidationRule validationRule)`
    `static ValidationException` | `generateWrongContentTypeExpected(String actualContentType, String expectedContentType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationExceptionFactory

          public ValidationExceptionFactory()

  - ### Method Detail

    - #### generateWrongContentTypeExpected

          public static ValidationException generateWrongContentTypeExpected(String actualContentType,
                                                                             String expectedContentType)

    - #### generateNotFoundValidationException

          public static ValidationException generateNotFoundValidationException(String parameterName,
                                                                                ParameterLocation location)

    - #### generateUnexpectedArrayValidationException

          public static ValidationException generateUnexpectedArrayValidationException(String parameterName,
                                                                                       ParameterValidationRule validationRule)

    - #### generateUnexpectedSingleStringValidationException

          public static ValidationException generateUnexpectedSingleStringValidationException(String parameterName,
                                                                                              ParameterValidationRule validationRule)

    - #### generateNotMatchValidationException

          public static ValidationException generateNotMatchValidationException(String parameterName,
                                                                                String value,
                                                                                ParameterValidationRule validationRule)

    - #### generateFileNotFoundValidationException

          public static ValidationException generateFileNotFoundValidationException(String filename,
                                                                                    String contentType)

    - #### generateEmptyValueValidationException

          public static ValidationException generateEmptyValueValidationException(String parameterName,
                                                                                  ParameterValidationRule rule,
                                                                                  ParameterLocation location)

    - #### generateUnexpectedArraySizeValidationException

          public static ValidationException generateUnexpectedArraySizeValidationException(Integer maxItems,
                                                                                           Integer minItems,
                                                                                           Integer actualSize)

    - #### generateDeserializationError

          public static ValidationException generateDeserializationError(String message)

    - #### generateObjectFieldNotFound

          public static ValidationException generateObjectFieldNotFound(String fieldName)

    - #### generateNotMatchValidationException

          public static ValidationException generateNotMatchValidationException(String message)

    - #### generateNotParsableJsonBodyException

          public static ValidationException generateNotParsableJsonBodyException(String message)

    - #### generateInvalidJsonBodyException

          public static ValidationException generateInvalidJsonBodyException(String jsonPath,
                                                                             String value,
                                                                             String message)

    - #### generateInvalidXMLBodyException

          public static ValidationException generateInvalidXMLBodyException(String message)

Copyright © 2024 Eclipse. All rights reserved.